<?php
/*
Module Name : Download Beautifier
Module URI : http://082net.com/tag/wp-slimstat-ex/
Author : Cheon, Young-Min
Author URI : http://082net.com/
License : All Wp-SlimStat-Ex Pins are GPL

*/

/* Please fill in $Pinfo values */

if (!defined('wp_slimstat_ex')) { header('Location:/'); }

/* DO NOT CHANGE START */
$Pinfo = array('name'=>'SSDL_dBeautifier', 
	'title'=>'Downloads', 
	'author'=>'082net', 
	'url'=>'http://082net.com/', 
	'text'=>'Show download stats for Download Beautifier(http://binslashbash.org/)', 
	'version'=>'0.1');
$Moinfo = array(0=>array('name'=>'_moduleTop', 'title'=>'Top downloads'), 
			1=>array('name'=>'_moduleRecent', 'title'=>'Recent downloads'));

class SSDL_dBeautifier extends wpSSPins {

	function SSDL_dBeautifier() {
		$this->wp_slimstat_ex();
	}

	function &getPinID() {
		$name = get_class($this);
		$id =& $this->_getPinID($name);
		return $id;
	}

	function &getMoID($num) {
		$pinid =& $this->getPinID();
		$id = ($pinid *100) + 1 + $num;
		return $id;
	}
/* DO NOT CHANGE END */

	function _replaceFilterClause($filter) {
		$replaced = str_replace('`resource`', '`dBFile`', $filter);
		return $replaced;
	}

	function _moduleTop($filter_clause) {
		global $wp_version, $table_prefix;
		$filter_clause = $this->_replaceFilterClause($filter_clause);
		$myQueryArray = array();
		$myTableTitles = array();
		$myDescrLinkFormat = array();
		$myValueFormat = array();
		
		// Table header: three columns
		$myTableTitles[0] = __('File name', 'wp-slimstat-ex');
		$myTableTitles[1] = __('Hits', 'wp-slimstat-ex');
		$myTableTitles[2] = __('last', 'wp-slimstat-ex');
		$myQueryArray[0][0] = "SELECT REPLACE(`ts`.`dBFile`, 'http://', '') AS `file_name`, COUNT(*) AS `countall`, 
									MAX(`ts`.`dBTime`) AS `dt`
								FROM `".$table_prefix."dBClicks` AS `ts`
								WHERE $filter_clause 
								GROUP BY `file_name` 
								ORDER BY `countall` DESC
								LIMIT 0,$this->limitrows";
		$myQueryArray[0][1] = array('countall', 'dt');
		//082 - ajax filtered result loading
		$filter = '&amp;fi=%%encode%%&amp;ff=2&amp;ft=1';
		$myDescrLinkFormat[0]['file_name'] = '%%basename%% '.$this->filterBtn($filter, $this->getPinID()).'';
		$myValueFormat[0] = array('integer','date');
		// define other ajax links
		$links = '';
		$moid =& $this->getMoID(0);

		return $this->getModule( $moid, 
			$myTableTitles, 
			$myQueryArray, 
			$myDescrLinkFormat,
			$myValueFormat,
			$filter_clause,
			false,
			false,
			$links
			 );
	}

	function _moduleRecent($filter_clause) {
		global $table_prefix;
		$filter_clause = $this->_replaceFilterClause($filter_clause);
		$myQueryArray = array();
		$myTableTitles = array();
		$myDescrLinkFormat = array();
		$myValueFormat = array();
		
		// Table header: three columns
		$myTableTitles[0] = __('File name', 'wp-slimstat-ex');
		$myTableTitles[1] = __('When', 'wp-slimstat-ex');
		
		$myQueryArray[0][0] = "SELECT REPLACE(`ts`.`dBFile`, 'http://', '') AS `file_name`, 
									`ts`.`dBIP` AS `remote_addr`, `ts`.`dBTime` AS `dt`  
								FROM `".$table_prefix."dBClicks` AS `ts`
								WHERE $filter_clause 
								ORDER BY `dt` DESC
								LIMIT 0,$this->limitrows";
		$myQueryArray[0][1] = array('dt');
		//082 - ajax filtered result loading
		$filter = '&amp;fi=%%encode%%&amp;ff=2&amp;ft=1';
		$myDescrLinkFormat[0]['file_name'] = '%%basename%% '.$this->filterBtn($filter, $this->getPinID()).'';
		$myDescrLinkFormat[0]['remote_addr'] = '&nbsp;&nbsp;<span> &#64;&nbsp; %%flag%% ';
		$filter = '&amp;fi=%%encode%%&amp;ff=3&amp;ft=0';
		$myDescrLinkFormat[0]['remote_addr'] .= (($this->whois)?'<a href="http://www.dnsstuff.com/tools/ipall.ch?domain=%%long%%" title="Who is?">':'').(($this->iptohost)?' %%ip2host%%':' %%long%%').(($this->whois)?'</a>':'').' '.$this->filterBtn($filter).' </span> ';
		$myValueFormat[0] = array('date');
		// define other ajax links
		$links = '';
		$moid =& $this->getMoID(1);
		
		return $this->getModule( $moid, 
			$myTableTitles, 
			$myQueryArray, 
			$myDescrLinkFormat,
			$myValueFormat,
			$filter_clause,
			true,
			false,
			$links
			 );
	}

	function _displaymodule($filter) {// to do (or.. remove)
		return $this->_moduleTop($filter);
	}

	function _displayPanel() {
		// Initialize content for this panel
		$myContent .= $this->_getFilterForm();

		// If a filter by keyword was set, add it to the SQL WHERE clause
		$myFilterClause = $this->filter_switch();

		//filterd result wrapper
		$myContent .= '<div id="filterd_result">';
		
		$myContent .= $this->_moduleRecent( $myFilterClause );

		$myContent .= $this->_moduleTop( $myFilterClause );

		$myContent .= '</div>';
		
	echo $myContent;
	}

}//end of class
?>